Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		gnome-vfs
Version:	2.24.3
Release:	2
BuildArch:	i686 
Summary:	The GNOME virtual file-system libraries
License:	GNU/GPL
Group:		Graphical Desktop/GNOME
URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Source0:	%{name}-%{version}.tar.bz2
# Default
Patch104:	gnome-vfs-2.8.2-browser_default.patch
#Requires
Requires:	gnome-mime-data
Requires:	shared-mime-info
Requires(post):  GConf >= 2.28.0
Requires(pre):   GConf >= 2.28.0
Requires(preun): GConf >= 2.28.0

#Manual build dependencies
BuildRequires: GConf-devel
BuildRequires: gnome-mime-data
BuildRequires: popt
BuildRequires: openjade
BuildRequires: pkg-config

#Obsoletes
Obsoletes:	gnome-vfs-GConf-schemas
Obsoletes:	gnome-vfs-doc

#Automatically resolved build dependencies
BuildRequires: avahi-devel
BuildRequires: bzip2-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: e2fsprogs-devel
BuildRequires: gamin-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: hal-devel
BuildRequires: krb5-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libxml2-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: samba-devel
BuildRequires: samba-common
BuildRequires: zlib-devel libsmbios-devel

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of
the Nautilus file manager. It provides a modular architecture and
ships with several modules that implement support for file systems,
http, ftp, and others. It provides a URI-based API, backend
supporting asynchronous file operations, a MIME type manipulation
library, and other features.

%package	devel
Summary:	Libraries and include files for developing GNOME VFS applications
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf-devel
Requires:	hal-devel
Requires:	dbus-devel
Requires:	dbus-glib-devel
Requires:	pkg-config

%description	devel
This package provides the necessary development libraries for writing
GNOME VFS modules and applications that use the GNOME VFS APIs.

%package	smb
Summary:	Windows fileshare support for gnome-vfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	samba-common

%description	smb
This package provides support for reading and writing files on windows
shares (SMB) to applications using GNOME VFS.

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/system_http_proxy.schemas \
    %{_sysconfdir}/gconf/schemas/system_dns_sd.schemas \
    %{_sysconfdir}/gconf/schemas/system_smb.schemas \
    %{_sysconfdir}/gconf/schemas/desktop_gnome_url_handlers.schemas \
    %{_sysconfdir}/gconf/schemas/desktop_default_applications.schemas \
      > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/system_http_proxy.schemas \
    %{_sysconfdir}/gconf/schemas/system_dns_sd.schemas \
    %{_sysconfdir}/gconf/schemas/system_smb.schemas \
    %{_sysconfdir}/gconf/schemas/desktop_gnome_url_handlers.schemas \
    %{_sysconfdir}/gconf/schemas/desktop_default_applications.schemas \
      > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/system_http_proxy.schemas \
    %{_sysconfdir}/gconf/schemas/system_dns_sd.schemas \
    %{_sysconfdir}/gconf/schemas/system_smb.schemas \
    %{_sysconfdir}/gconf/schemas/desktop_gnome_url_handlers.schemas \
    %{_sysconfdir}/gconf/schemas/desktop_default_applications.schemas \
      > /dev/null || :
fi

%postun -p /sbin/ldconfig

%prep
%setup -q -n gnome-vfs-%{version} 
%patch104 -p1 -b .browser_default

%build
if pkg-config openssl ; then
	CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
	LDFLAGS=`pkg-config --libs-only-L openssl`; export LDFLAGS
fi

%configure \
--disable-gtk-doc \
--enable-hal 

make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%define po_package gnome-vfs-2.0
%find_lang %{po_package}

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
#configs
%config %_sysconfdir/gnome-vfs-2.0/modules/default-modules.conf
%config %_sysconfdir/gnome-vfs-2.0/modules/ssl-modules.conf
# schemas
%_sysconfdir/gconf/schemas/desktop_default_applications.schemas
%_sysconfdir/gconf/schemas/desktop_gnome_url_handlers.schemas
%_sysconfdir/gconf/schemas/system_dns_sd.schemas
%_sysconfdir/gconf/schemas/system_http_proxy.schemas
%_sysconfdir/gconf/schemas/system_smb.schemas
%{_bindir}/gnomevfs-cat
%{_bindir}/gnomevfs-copy
%{_bindir}/gnomevfs-df
%{_bindir}/gnomevfs-info
%{_bindir}/gnomevfs-ls
%{_bindir}/gnomevfs-mkdir
%{_bindir}/gnomevfs-monitor
%{_bindir}/gnomevfs-mv
%{_bindir}/gnomevfs-rm
%_libdir/libgnomevfs-2.so.*
%{_libexecdir}/gnome-vfs-daemon
%_libdir/gnome-vfs-2.0/modules/libbzip2.*
%_libdir/gnome-vfs-2.0/modules/libcomputer.*
%_libdir/gnome-vfs-2.0/modules/libdns-sd.*
%_libdir/gnome-vfs-2.0/modules/libfile.*
%_libdir/gnome-vfs-2.0/modules/libftp.*
%_libdir/gnome-vfs-2.0/modules/libgzip.*
%_libdir/gnome-vfs-2.0/modules/libhttp.*
%_libdir/gnome-vfs-2.0/modules/libnetwork.*
%_libdir/gnome-vfs-2.0/modules/libnntp.*
%_libdir/gnome-vfs-2.0/modules/libsftp.*
%_libdir/gnome-vfs-2.0/modules/libtar.*
%_libdir/gnome-vfs-2.0/modules/libvfs-test.*
%_datadir/dbus-1/services/gnome-vfs-daemon.service
%{_locale}/*/LC_MESSAGES/gnome-vfs-2.0.mo

%files devel
%defattr(-, root, root)
%_libdir/gnome-vfs-2.0/include
%{_pkgconfig}/gnome-vfs-2.0.pc
%{_pkgconfig}/gnome-vfs-module-2.0.pc
%{_includedir}/gnome-vfs-2.0/libgnomevfs
%{_includedir}/gnome-vfs-module-2.0/libgnomevfs
%{_libdir}/gnome-vfs-2.0/include/gnome-vfs-file-size.h
%{_libdir}/libgnomevfs-2.a
%{_libdir}/libgnomevfs-2.la
%{_libdir}/libgnomevfs-2.so
%_datadir/gtk-doc/html/gnome-vfs-2.0/

%files smb
%defattr(-, root, root)
%{_libdir}/gnome-vfs-2.0/modules/libsmb.*
%config %{_sysconfdir}/gnome-vfs-2.0/modules/smb-module.conf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.24.3-2
- rebuilt against hal 0.5.14
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.24.3-1
- Version update
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Mon Mar 23 2009 Christian Wasem <wasem@ccux-linux.de> 2.24.1-1
- Version update
* Fri Jan 09 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.0-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0.1-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.3-1
- Version update
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-4
- readded some patches
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, moved libexec
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.2-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.91-1
- Update to Version 2.13.91
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.4-1
- Update to Version 2.13.4
* Sun Jan 08 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.3-1
- Update to Version 2.13.3
* Tue Nov 22 2005 Christian Wasem <wasem@ccux-linux.de> 2.13.1-1
- Update to Version 2.13.1, added doc package
* Sat Jul 16 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.11.4-1
- Version Update
* Sat Jul 02 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.11.2-1
- Version Update to 2.11.2
* Mon May 30 2005 Uli Schukraft <Schukraft@ccux-linux.de> 2.10.0-3
- added dependencies: 
    -> fam-2.7.0 (needed for automatic updates of the files viewed in Nautilus)
    -> ORBit2
* Fri Apr 29 2005 Christian Metzen <metzench@ccux-linux.de> 2.10.0-2
- Tweaked Spec File to a more CCux Package DB friendly Way
* Sun Apr 17 2005 Uli Schukraft <Schukraft@CCux-Linux.de> 2.10.0-1
- Version Update to 2.10.0
- added "enable-final" and "enable-optimize" to ./configure-options
- extended description
- precised and added dependencies
- added post install script for correct initialization of the gconf-schemas included with this package
- excluded GConf-Schemas from the "main" Package and put them in %{name}-GConf-Schemas-package, this enables better handling of the GConf-Schemas provided with %{name}
- tweaked spec file
* Sun Mar 20 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.3-2
- Tweaked Specfile, moved sysconfdir, moved libexecdir to sbin
* Wed Feb 23 2005 Uli Schukraft <Schukraft@ccux-linux.de> 2.8.3-1
- First package release.
